%define		mod_name	limitipconn
%define 	apxs		%{_sbindir}/apxs
Summary:	Apache module: Limit simultaneous connections by an IP address
Name:		apache-mod_%{mod_name}
Version:	0.24
Release:	3
License:	Apache
Group:		Networking/Daemons
Source0:	http://dominia.org/djao/limit/mod_limitipconn-%{version}.tar.bz2
# Source0-md5:	5cf6ddc6743931afef26c03de851279b
Source1:	apache.conf
URL:		http://dominia.org/djao/limitipconn2.html
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.0
BuildRequires:	rpmbuild(macros) >= 1.228
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
The mod_limitipconn module lets you enforce limits on the number of
simultaneous downloads allowed from a single IP address. You can also
control which MIME types are affected by the limits.

This module will not function unless mod_status is loaded and the
"ExtendedStatus On" directive is set.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{apxs} -c mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}
install -p .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*
%changelog
* Fri Oct 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_limitipconn.git;a=log;h=master

* Fri Oct 02 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c201c6a
- release 3 (by relup.sh)

* Fri Sep 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a11d588
- rel 2; fix service name

* Fri Jul 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b0c5821
- add deps for apache api etc

* Fri Jul 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 600bb7f
- initial for apache 2.x

